Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
TestResult Class Reference

`#include <gtest.h>`

## Public Member Functions
| TestResult ()
| ~TestResult ()
int | total_part_count () const
int | test_property_count () const
bool | Passed () const
bool | Failed () const
bool | HasFatalFailure () const
bool | HasNonfatalFailure () const
TimeInMillis | elapsed_time () const
const TestPartResult & | GetTestPartResult (int i) const
const TestProperty & | GetTestProperty (int i) const
| TestResult ()
| ~TestResult ()
int | total_part_count () const
int | test_property_count () const
bool | Passed () const
bool | Failed () const
bool | HasFatalFailure () const
bool | HasNonfatalFailure () const
TimeInMillis | elapsed_time () const
const TestPartResult & | GetTestPartResult (int i) const
const TestProperty & | GetTestProperty (int i) const
| TestResult ()
| ~TestResult ()
int | total_part_count () const
int | test_property_count () const
bool | Passed () const
bool | Failed () const
bool | HasFatalFailure () const
bool | HasNonfatalFailure () const
TimeInMillis | elapsed_time () const
const TestPartResult & | GetTestPartResult (int i) const
const TestProperty & | GetTestProperty (int i) const

## Friends
class | TestInfo
class | UnitTest
class | internal::DefaultGlobalTestPartResultReporter
class | internal::ExecDeathTest
class | internal::TestResultAccessor
class | internal::UnitTestImpl
class | internal::WindowsDeathTest

## Constructor & Destructor Documentation

TestResult | ( |  | ) |

~TestResult | ( |  | ) |

TestResult | ( |  | ) |

~TestResult | ( |  | ) |

TestResult | ( |  | ) |

~TestResult | ( |  | ) |

## Member Function Documentation

TimeInMillis elapsed_time | ( |  | ) | const
| inline

TimeInMillis elapsed_time | ( |  | ) | const
| inline

TimeInMillis elapsed_time | ( |  | ) | const
| inline

bool Failed | ( |  | ) | const

bool Failed | ( |  | ) | const

bool Failed | ( |  | ) | const

const TestPartResult & GetTestPartResult | ( | int | i | ) | const

const TestPartResult& GetTestPartResult | ( | int | i | ) | const

const TestPartResult& GetTestPartResult | ( | int | i | ) | const

const TestProperty & GetTestProperty | ( | int | i | ) | const

const TestProperty& GetTestProperty | ( | int | i | ) | const

const TestProperty& GetTestProperty | ( | int | i | ) | const

bool HasFatalFailure | ( |  | ) | const

bool HasFatalFailure | ( |  | ) | const

bool HasFatalFailure | ( |  | ) | const

bool HasNonfatalFailure | ( |  | ) | const

bool HasNonfatalFailure | ( |  | ) | const

bool HasNonfatalFailure | ( |  | ) | const

bool Passed | ( |  | ) | const
| inline

bool Passed | ( |  | ) | const
| inline

bool Passed | ( |  | ) | const
| inline

int test_property_count | ( |  | ) | const

int test_property_count | ( |  | ) | const

int test_property_count | ( |  | ) | const

int total_part_count | ( |  | ) | const

int total_part_count | ( |  | ) | const

int total_part_count | ( |  | ) | const

## Friends And Related Function Documentation

internal::DefaultGlobalTestPartResultReporter
| friend

internal::ExecDeathTest
| friend

internal::TestResultAccessor
| friend

internal::UnitTestImpl
| friend

internal::WindowsDeathTest
| friend

TestInfo
| friend

UnitTest
| friend

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/gtest.h
- persistence/rapidjson/thirdparty/gtest/src/gtest.cc
- testing/googleTest/fused-src/gtest/gtest-all.cc